pamr.plotfdr {pamr} | R Documentation

## A function to plot the FDR curve from the nearest shrunken centroid classifier

### Description

A function to plot the FDR curve the nearest shrunken centroid classifier

### Usage

    pamr.plotfdr(fdrfit,  call.win.metafile = FALSE)

### Arguments

`fdrfit` | The result of a call to pamr.fdr
`call.win.metafile` | Used by Excel interface

### Details

`pamr.plotfdr` plots the FDR curves from nearest shrunken centroid classifier. The median FDR (solid line) and upper 90 percentile (broken line) are shown

### Value

### Author(s)

Trevor Hastie,Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:2),size=20,replace=TRUE)
    x[1:50,y==2]=x[1:50,y==2]+3
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)
    myfdr <-  pamr.fdr(mytrain, mydata)
    pamr.plotfdr(myfdr)

[Package pamr version 1.36.0 Index]